Description

Add new member location and visible to Ul Datatypes eq2uipage and eq2uielement. You would ultimately only need to add these
members to Ul objects that the end user could actually see.

Location would allow use a way to read objects in the Ul, so we can know where to place the mouse to click. Visible would give a
way to check to see what configuration a window is in by checking to see what objects are visible. This is a trick us Ul modders use
through the DB's Ulscripting.

History

#1 - 2015-12-26 11:14 AM - Amadeus
- Status changed from New to Accepted

- Assignee set to Amadeus

| can look into these; however, you do know that the eq2uielement datatype does have methods called RightClick, LeftClick, and DoubleLeftClick
...correct? (In other words, you can already mouse-click all eq2uielements and eq2uipages.)

"Visible" is not as easy as you'd think. I've tried doing it a couple of times and, if | remember correctly, the data was inconsistent across different ui
elements/windows.

#2 - 2015-12-26 10:40 PM - lazycrafter

| do know of the click methods and they work for 99% of what | try to do. One example is in the Guild window. If | know the location of membersRows
| can calculate the location of the first MemeberRow. If | know the size of MemberRow | can calculate the location of Nth MemberRow.

I kind of figured visible had issues else you would have already had that coded.

#3 - 2016-02-21 11:01 PM - lazycrafter

| see Istype is reporting an IsVisible Member now but when | try to use it | get the error no such member. Nevermind... Grr that was EQ2UIPage that
has IsVisible not EQ2IUElement. Sorry my bad.

#4 - 2016-07-04 11:14 AM - Amadeus

- Status changed from Accepted to Resolved

I've made the "IsVisible" MEMBER of the eq2window datatype more reliable/accurate, and for eq2widget (formerally known as eq2uielement), you
can use .GetProperty[Visible].

For other requests, let's make seperate issues rather than combining them together.
